uniform float intensity;
uniform sampler2D baseMap;

varying vec2 Texcoord;

void main( void )
{
	float Att = 1.0-length((Texcoord.xy-vec2(0.5))*vec2(2.0));
	
	float a = Att*intensity;
	float s = sin( a );
	float c = cos( a );
	
	vec2 newTex;
	newTex.x = ( (Texcoord.x-0.5)*c - (Texcoord.y-0.5)*s ) + 0.5;
	newTex.y = ( (Texcoord.x-0.5)*s + (Texcoord.y-0.5)*c ) + 0.5;

    gl_FragColor = texture2D( baseMap, newTex )*Att;
}